<template>
    <div class="row clearfix">
        <div v-for="i of agency" :key="i.id" class="col-lg-3 col-md-4 col-sm-6">
            <div class="card xl-blue member-card doctor">
                <div class="body">
                    <div class="member-thumb">
                        <img
                            :src="i.logo ? i.logo : '/img/logo.png'"
                            class="img-fluid"
                            alt="profile-image"
                        />
                    </div>
                    <div class="detail">
                        <h4
                            class="m-b-0"
                            :class="template == 'dark' ? 'text-dark' : ''"
                        >
                            {{ i.nombre }}
                        </h4>
                        <a
                            href="javascript:void(0);"
                            @click="url(i)"
                            class="btn btn-default btn-round btn-simple"
                            >{{ field.see_agency }}</a
                        >
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    props: ["country", "lang", "t", "aseguradora"],
    mounted() {},
    data() {
        return {
            template: this.t,
            c: this.country,
            agency: this.aseguradora,
            field: this.lang
        };
    },
    methods: {
        url(i) {
            localStorage.setItem("aseguradora_selected", JSON.stringify(i));
            return (location.href = "/dashboard/aseguradora/rangos/");
        }
    }
};
</script>
